<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Laporan_agama extends CI_Controller {

	function index(){
		if($this->session->userdata('is_logged_in')==FALSE){
			redirect('login');
		}
		$idalurperkara = '15,16';
		$this->load->model('report/report');
		$year = array(date("Y",time()));
		$tahun_sekarang = date("Y",time());
		$min_tahun = $tahun_sekarang;
		 $query = $this->report->get_tahun($idalurperkara);
		 if($query->num_rows==1){
		 	foreach ($query->result() as $row) {
		 		$min_tahun = $row->years;
		 	}
		 }
		$tmp = $tahun_sekarang;
		if($min_tahun<$tahun_sekarang AND !empty($min_tahun)){
			while (TRUE) {
				$tmp--;
				if($tmp<$min_tahun){
					break;
				}
				array_push($year, $tmp);
			}
		}

		$idalurperkara='';
		$list_perkara='';
		$data['list_perkara'] = $list_perkara;
		$data['jenis_laporan'] = $this->fetch_jenis_laporan($idalurperkara);
		$data['rekap_laporan'] = $this->fetch_rekap_laporan($idalurperkara);
		$data['tahun'] = $year;
		$data['page_title'] = 'LAPORAN PENGADILAN AGAMA';

		$this->load->vars($data);
		$this->load->view('header');
		$this->load->view('laporan/laporan_agama');
		$this->load->view('footer');
	}

	function fetch_jenis_laporan($idalurperkara){
		$jenis_laporan = array(
			array('nama'=>'LAPORAN KEADAAN PERKARA (LIPA.1)',
				'id' => '1',
				'lap_agama' => '1',
				'tahapan' => '10'),
			array('nama'=>'LAPORAN PERKARA YANG DIMOHONKAN BANDING (LIPA.2)',
				'id' => '1',
				'lap_agama' => '2',
				'tahapan' => '20'),
			array('nama'=>'LAPORAN PERKARA YANG DIMOHONKAN KASASI (LIPA.3)',
				'id' => '1',
				'lap_agama' => '3',
				'tahapan' => '30'),
			array('nama'=>'LAPORAN PERKARA YANG DIMOHONKAN PENINJAUAN KEMBALI (LIPA.4)',
				'id' => '1',
				'lap_agama' => '4',
				'tahapan' => '40'),
			array('nama'=>'LAPORAN PERKARA YANG DIMOHONKAN EKSEKUSI (LIPA.5)',
				'id' => '1',
				'lap_agama' => '5',
				'tahapan' => '50'),
			array('nama'=>'LAPORAN KEGIATAN HAKIM (LIPA.6)',
				'id' => '1',
				'lap_agama' => '6',
				'tahapan' => '10'),
			array('nama'=>'LAPORAN PERKARA DITERIMA, DICABUT DAN DIPUTUS MENURUT JENIS PERKARA (LIPA.8)',
				'id' => '1',
				'lap_agama' => '7',
				'tahapan' => '10'),
			array('nama'=>'LAPORAN PERKARA KHUSUS PP. NO.10 TAHUN 1983 JO. PP. NO.45 TAHUN 1990 (LIPA.9)',
				'id' => '1',
				'lap_agama' => '8',
				'tahapan' => '10'),
			array('nama'=>'LAPORAN PENYEBAB TERJADINYA PERCERAIAN (LIPA.10)',
				'id' => '1',
				'lap_agama' => '9',
				'tahapan' => '10'),
			array('nama'=>'LAPORAN MEDIASI (LIPA.12)',
				'id' => '1',
				'lap_agama' => '10',
				'tahapan' => '10'),
			array('nama'=>'LAPORAN PENERBITAN AKTA CERAI (LIPA.13)',
				'id' => '1',
				'lap_agama' => '11',
				'tahapan' => '10'),
			// array('nama'=>'LAPORAN PELAKSANAAN SIDANG DILUAR GEDUNG (LIPA.14)',
			// 	'id' => '1',
			// 	'lap_agama' => '12',
			// 	'tahapan' => '10'),
			// array('nama'=>'LAPORAN PELAKSANAAN PEMBEBASAN BIAYA PERKARA (LIPA.15)',
			// 	'id' => '1',
			// 	'lap_agama' => '13',
			// 	'tahapan' => '10'),
			// array('nama'=>'LAPORAN PELAKSANAAN POSYANKUM (LIPA.16)',
			// 	'id' => '1',
			// 	'lap_agama' => '14',
			// 	'tahapan' => '10'),
			array('nama'=>'LAPORAN PENERIMAAN HAK-HAK KEPANITERAAN (HHK) (LIPA.17)',
				'id' => '1',
				'lap_agama' => '15',
				'tahapan' => '10'),
			array('nama'=>'LAPORAN PENERIMAAN HAK-HAK KEPANITERAAN LAINNYA (HHKL) (LIPA.18)',
				'id' => '1',
				'lap_agama' => '16',
				'tahapan' => '10'),
			array('nama'=>'LAPORAN MINUTASI PERKARA (LIPA.19)',
				'id' => '1',
				'lap_agama' => '17',
				'tahapan' => '10'),
			array('nama'=>'LAPORAN TINGKAT PENYELESAIAN PERKARA (LIPA.20)',
				'id' => '1',
				'lap_agama' => '18',
				'tahapan' => '10'),
			array('nama'=>'LAPORAN VERZET TERHADAP PUTUSAN VERSTEK (LIPA.1.A)',
				'id' => '1',
				'lap_agama' => '19',
				'tahapan' => '10'),
			);

	return $jenis_laporan;
	}

	function fetch_rekap_laporan($idalurperkara){
		$rekap_laporan = array(
			array('nama'=>'REKAPITULASI LAPORAN KEADAAN PERKARA (LIPA.1)',
				'id' => '1',
				'idalur' => '1',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI LAPORAN PERKARA YANG DIMOHONKAN BANDING (LIPA.2)',
				'id' => '2',
				'idalur' => '1',
				'tahapan' => '20'),
			array('nama'=>'REKAPITULASI LAPORAN PERKARA YANG DIMOHONKAN KASASI (LIPA.3)',
				'id' => '3',
				'idalur' => '1',
				'tahapan' => '30'),
			array('nama'=>'REKAPITULASI LAPORAN PERKARA YANG DIMOHONKAN PENINJAUAN KEMBALI (LIPA.4)',
				'id' => '4',
				'idalur' => '1',
				'tahapan' => '40'),
			array('nama'=>'REKAPITULASI LAPORAN PERKARA YANG DIMOHONKAN EKSEKUSI (LIPA.5)',
				'id' => '5',
				'idalur' => '1',
				'tahapan' => '50'),
			array('nama'=>'REKAPITULASI LAPORAN KEGIATAN HAKIM (LIPA.6)',
				'id' => '6',
				'idalur' => '1',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI LAPORAN PERKARA DITERIMA, DICABUT DAN DIPUTUS MENURUT JENIS PERKARA (LIPA.8)',
				'id' => '7',
				'idalur' => '1',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI LAPORAN PERKARA KHUSUS PP. NO.10 TAHUN 1983 JO. PP. NO.45 TAHUN 1990 (LIPA.9)',
				'id' => '8',
				'idalur' => '1',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI LAPORAN PENYEBAB TERJADINYA PERCERAIAN (LIPA.10)',
				'id' => '9',
				'idalur' => '1',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI LAPORAN MEDIASI (LIPA.12)',
				'id' => '10',
				'idalur' => '1',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI LAPORAN PENERBITAN AKTA CERAI (LIPA.13)',
				'id' => '11',
				'idalur' => '1',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI LAPORAN PELAKSANAAN SIDANG DILUAR GEDUNG (LIPA.14)',
				'id' => '12',
				'idalur' => '1',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI LAPORAN PELAKSANAAN PEMBEBASAN BIAYA PERKARA (LIPA.15)',
				'id' => '13',
				'idalur' => '1',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI LAPORAN PELAKSANAAN POSYANKUM (LIPA.16)',
				'id' => '14',
				'idalur' => '1',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI LAPORAN PENERIMAAN HAK-HAK KEPANITERAAN (HHK) (LIPA.17)',
				'id' => '15',
				'idalur' => '1',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI LAPORAN PENERIMAAN HAK-HAK KEPANITERAAN LAINNYA (HHKL) (LIPA.18)',
				'id' => '16',
				'idalur' => '1',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI LAPORAN MINUTASI PERKARA (LIPA.19)',
				'id' => '17',
				'idalur' => '1',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI LAPORAN TINGKAT PENYELESAIAN PERKARA (LIPA.20)',
				'id' => '18',
				'idalur' => '1',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI LAPORAN VERZET TERHADAP PUTUSAN VERSTEK (LIPA.1.A)',
				'id' => '19',
				'idalur' => '1',
				'tahapan' => '10'),
			);

	return $rekap_laporan;
	}

}